@ECHO OFF
REM Make a bootable DOS disk
REM Modified 02/17/98

IF EXIST loader.exe GOTO START
ECHO.
ECHO You must be in the directory where NewDeal is
ECHO installed in order to run this file.
ECHO.
GOTO END

:START
IF '%1' == '/clean' GOTO CLEAN1
IF '%1' == '/CLEAN' GOTO CLEAN1

CLS
ECHO.
ECHO We are about to format a bootable disk. This disk will allow
ECHO you to start your computer without any device drivers or other
ECHO memory-resident programs interfering. You may press CTRL-C at
ECHO any time to cancel this process.
ECHO.
ECHO NOTE to high-density drive owners (1.2 or 1.44 Mb):
ECHO You may need to use a high-density diskette.
ECHO.
ECHO.
ECHO Have a blank or unneeded diskette ready.
ECHO ALL DATA ON THIS DISKETTE WILL BE ERASED.
ECHO.

findit.exe format.com
IF ERRORLEVEL -1 GOTO NOFMT

format a: /s
IF ERRORLEVEL 1 GOTO ERROR
GOTO COPY

:ERROR
ECHO.
ECHO Operation cancelled.
GOTO END

:NOFMT
ECHO.
ECHO The FORMAT.COM program could not be found. Please add your DOS
ECHO directory to the PATH statements in your AUTOEXEC.BAT file.
ECHO See your DOS manual for details.
ECHO.
GOTO END

:CLEAN1
ECHO.
ECHO Insert your boot floppy disk into drive A.
PAUSE
IF EXIST a:autoexec.bat GOTO COPY
ECHO.
ECHO Boot files not found. Please try again or call technical support
ECHO for assistance.
ECHO.
GOTO END

:COPY
ECHO Copying boot files...

REM Put current directory path into variable AOLOC
cd > setaoloc.dat
copy setaoloc.set+setaoloc.dat setaoloc.bat > nul
CALL setaoloc.bat

REM Put current drive into file aolexec.2
cd \
cd > %aoloc%\aolexec.2
cd %aoloc% > nul

ECHO FILES=120 > a:config.sys
ECHO BUFFERS=30 >> a:config.sys

ECHO @ECHO OFF > aolexec.1
ECHO ECHO Loading... >> aolexec.1
ECHO PROMPT $P$G >> aolexec.1

ECHO cd %aoloc% >> aolexec.2

REM For clean load, add extra parameters

IF '%1' == '/clean' GOTO CLEAN2
IF NOT '%1' == '/CLEAN' GOTO NOCLEAN

:CLEAN2
ECHO LOADER /nomem >> aolexec.2
GOTO COPY2

:NOCLEAN
ECHO LOADER >> aolexec.2

:COPY2
copy aolexec.1+aolexec.2 a:autoexec.bat > nul

del setaoloc.dat > nul
del setaoloc.bat > nul
del aolexec.1 > nul
del aolexec.2 > nul

CLS
ECHO.
ECHO Reboot with this disk in the A: drive to start NewDeal.
ECHO.
ECHO If NewDeal operates properly when booted this way, you
ECHO will want to remove device drivers or other memory resident
ECHO programs one-by-one from the AUTOEXEC.BAT and CONFIG.SYS
ECHO files on your hard drive to determine what causes your problem.
ECHO For details, see your DOS manual.
ECHO.
IF '%1' == '/clean' GOTO CLEAN3
IF NOT '%1' == '/CLEAN' GOTO END

:CLEAN3
ECHO This disk uses a "clean" load, adding the parameter "/nomem"
ECHO to disable use of your extended/expanded memory.
ECHO.
ECHO If this clean load solves your problem, and the earlier boot 
ECHO disk did not, you should try using:
ECHO.
ECHO LOADER /nomem
ECHO.
ECHO to load in the future when booting from your hard drive.
ECHO.

:END
